aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-verify-perf-DPDK.sh
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2018-04-10 08:41:54 +0200
committerPeter Mikus <pmikus@cisco.com>2018-04-11 05:20:14 +0000
commit36da555ef3da4346ceaec1cd1651658ac539e689 (patch)
treea1763ec88318ae26dfe7302c0fb76c471829ee02 /bootstrap-verify-perf-DPDK.sh
parent68dfcca79ee6838a266330eba834b360b11a3c15 (diff)
Cleanup perf bootstrap
- Remove the DPDK_TEST variable and replace it by internal global variable - Unify all perf boostrap for merge in future. - Cleanup ligato perf bootstrap. Change-Id: Id47d6614c8dd18a701493e00056ef17d2e37fc5c Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'bootstrap-verify-perf-DPDK.sh')
-rwxr-xr-xbootstrap-verify-perf-DPDK.sh38
1 files changed, 22 insertions, 16 deletions
diff --git a/bootstrap-verify-perf-DPDK.sh b/bootstrap-verify-perf-DPDK.sh
index 4d53c68c39..13ef3331c6 100755
--- a/bootstrap-verify-perf-DPDK.sh
+++ b/bootstrap-verify-perf-DPDK.sh
@@ -78,25 +78,32 @@ function cancel_all {
# On script exit we cancel the reservation
trap "cancel_all ${WORKING_TOPOLOGY}" EXIT
+# Based on job we will identify DUT
+if [[ ${JOB_NAME} == *hc2vpp* ]] ;
+then
+ DUT="hc2vpp"
+elif [[ ${JOB_NAME} == *vpp* ]] ;
+then
+ DUT="vpp"
+elif [[ ${JOB_NAME} == *ligato* ]] ;
+then
+ DUT="kubernetes"
+elif [[ ${JOB_NAME} == *dpdk* ]] ;
+then
+ DUT="dpdk"
+else
+ echo "Unable to identify dut type based on JOB_NAME variable: ${JOB_NAME}"
+ exit 1
+fi
+
case "$TEST_TAG" in
# run specific performance tests based on jenkins job type variable
- PERFTEST_SHORT )
- pybot ${PYBOT_ARGS} \
- -L TRACE \
- -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
- -v DPDK_TEST:True \
- -s "tests.dpdk.perf" \
- -i NDRCHK \
- tests/
- RETURN_STATUS=$(echo $?)
- ;;
- PERFTEST_NIGHTLY )
- #run all available tests
+ VERIFY-PERF-MRR )
pybot ${PYBOT_ARGS} \
-L TRACE \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
- -v DPDK_TEST:True \
- -s "tests.dpdk.perf" \
+ -s "tests.${DUT}.perf" \
+ -i mrrAND1t1cORmrrAND2t2c \
tests/
RETURN_STATUS=$(echo $?)
;;
@@ -105,8 +112,7 @@ case "$TEST_TAG" in
pybot ${PYBOT_ARGS} \
-L TRACE \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
- -v DPDK_TEST:True \
- -s "tests.dpdk.perf" \
+ -s "tests.${DUT}.perf" \
tests/
RETURN_STATUS=$(echo $?)
esac